coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/return-exchange-invoices/manual2609170000

Upload a pickup waybill

# 01

Summary

Upload a pickup waybill

# 02

Details

Available buyer market: Korean

Sellers not using the auto return integration service (Goodsflow) to pick up return products can upload a pickup waybill directly through this API when receiving a return/exchange request.

Sellers using Goodsflow don't need to use this API.

Return: Usable if the return status (receiptStatus) is Return request received (RETURNS_UNCHECKED) on the list of return requests
Exchange: Usable if the pickup status (collectStatus) is Before pickup integration (BeforeDirection) on the list of exchange requests

※ Even after a pickup waybill is uploaded, Customer may cancel a return request if delivery is not trackable, or until the delivery person picks up the product.

Path

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/return-exchange-invoices/manual

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/return-exchange-invoices/manual

URL API Name

CREATE_RETURN_EXCHANGE_INVOICE
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID

Unique code issued to Vendor by Coupang
ex) A00012345
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
returnExchangeDeliveryType*string
Enter RETURN or EXCHANGE
receiptId*integer
Return or exchange receipt ID
Able to check it using APIs to query lists of return and exchange requests
Must be the number type
deliveryCompanyCode*string
invoiceNumber*string
Waybill number
regNumberstring
Courier pickup number (enter the pickup number when it's issued)
Request exampleapplication/json
{
  "returnExchangeDeliveryType": "EXCHANGE",
  "receiptId": 101606005,
  "deliveryCompanyCode": "KDEXP",
  "invoiceNumber": "201805291435",
  "regNumber": "1234568"
}
# 05

Response body

Response message

NameTypeDescription
codeinteger
HTTP Status Code
messagestring
HTTP Status message
dataobject
deliveryCompanyCode
data.deliveryCompanyCode
string
Courier code
invoiceNumber
data.invoiceNumber
string
Waybill number
invoiceNumberId
data.invoiceNumberId
integer
Internal invoiceNumberId
receiptId
data.receiptId
integer
Return or exchange receipt ID
regNumber
data.regNumber
string
Courier pickup number
returnDeliveryId
data.returnDeliveryId
integer
Internal returnDeliveryId
returnExchangeDeliveryType
data.returnExchangeDeliveryType
string
RETURN or EXCHANGE

Response Example

{
  "code": 200,
  "message": "OK",
  "data": {
    "deliveryCompanyCode": "KDEXP",
    "invoiceNumber": "201805291435",
    "invoiceNumberId": 26125633,
    "receiptId": 101606005,
    "regNumber": "1234568",
    "returnDeliveryId": 25726758,
    "returnExchangeDeliveryType": "RETURN"
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request parameter)

It must differ from the delivery waybill number. Waybill number: 2333*****6911.

Check if the pickup waybill number is the same as the delivery waybill number. Enter a new waybill number for pickup.

500500 (check request parameter)

Invalid value for DeliveryCompanyCodeEnum: ***

Check if the courier code (DeliveryCompanyCode) you entered is supportable. Check and enter a supportable courier code.

400400 (check request parameter)

The format of return waybill is not correct.

Waybill number: 1*** , Courier: CJGLS

Check if the waybill number and courier are correct.

400400 (check request parameter)

Object is null

Check if any entry is null.